@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scroll-behavior: smooth;
    text-decoration: none;
}

:root{
    --text-color: #f5f5f5;
    --hover-color: #12f7ff;
    --gradient-white-bg:linear-gradient(0deg,#fff 0%,#edf4fa 51%,#e5eef7 100%);
    --gradient-color-bg:linear-gradient(180deg,rgb(252, 7, 7)0%,
                                                rgb(42, 5, 248)100%);
    --secon-bg-color:#292e33;
    --big-font:2.5rem;
    --norma-font:2.5rem;
    --neon-box-shadow:0 0 .5rem #12f7ff;
    --h2-font:3rem;
    --font-neon-text-shadow:0 0 10px rgba(18,247,255,0.3),
    0 0 20px rgba(18, 247, 255, 0.3),
    0 0 30px rgba(18, 247, 255, 0.3),
    0 0 40px rgba(18, 247, 255, 0.3),
    0 0 70px rgba(18, 247, 255, 0.3),
    0 0 80px rgba(18, 247, 255, 0.3),
    0 0 100px rgba(18, 247, 255, 0.3),
    0 0 150px rgba(18, 247, 255, 0.3);
}

::-webkit-scrollbar{
    height: 0;
    width: .5rem;
}

::-webkit-scrollbar-track{
    background: var(--secon-bg-color);
}

::-webkit-scrollbar-thumb{
    background: var(--hover-color);
    border-radius: 5rem;
}

body{
    font-family: "Poppins",sans-serif;
/*    background-color: var(--bg-color); */
background: #f2f3f7;
    color: black;
}

header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    border-bottom: 1px solid transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px 10%;
    
}

header.sticky{
    background: #f2f3f7;
    border-bottom: 1px solid var(--secon-bg-color);
    padding: 12px 10%;
}
.log1{
    height: 100px;
    width: 130%;
}
/*
 .logo {
    font-size: 35px;
    font-weight: 600;
    background: repeating-linear-gradient(
      -45deg,
      red 0%,
      yellow 7.14%,
      rgb(0, 255, 0) 14.28%,
      rgb(0, 255, 255) 21.4%,
      cyan 28.56%,
      blue 35.7%,
      magenta 42.84%,
      red 50%
    );
    background-size: 600vw 600vw;
    -webkit-text-fill-color: transparent;
    background-clip: border-box;
    -webkit-background-clip: text;
    animation: slide 8s linear infinite forwards;
}*/
  
  @keyframes slide {
    0% {
      background-position-x: 0%;
    }
  
    100% {
      background-position-x: 600vw;
    }
}
/*=======demo test==========*/
.home-content h1 span{
    font-size: 2rem;
    font-weight: 800;
    margin-bottom: 1rem;
    color: transparent;
    -webkit-text-stroke: 0.1vw #770753;
    background: var(--gradient-color-bg);
    background-repeat: no-repeat;
    -webkit-background-clip: text;
    background-position: 0 0;
    transition: .6s;
    letter-spacing: 2px;
    animation: moveText 3s linear infinite;
    animation-delay: 2s;
}

.home-content h1 span::before{
    content: "";
    position: absolute;
    top: 7px;
    left: -3px;
    width: 0;
    height: 70%;
    border-right: 2px solid var(--main-color);
    animation: moveCursorText 3s linear infinite;
    animation-delay: 2s;
}
/*=======demo test==========
.home-content h1 span {
    font-size: var(--big-font);
    font-weight: 700;
    background: repeating-linear-gradient(
      -45deg,
      red 0%,
      yellow 7.14%,
      rgb(0, 255, 0) 14.28%,
      rgb(0, 255, 255) 21.4%,
      cyan 28.56%,
      blue 35.7%,
      magenta 42.84%,
      red 50%
    );
    background-size: 600vw 600vw;
    -webkit-text-fill-color: transparent;
    background-clip: border-box;
    -webkit-background-clip: text;
    animation: slide 8s linear infinite forwards;
}
*/
span{
    font-size: 2rem;
    font-weight: 800;
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.navlist{
    display: flex;
}

.navlist a{
    display: inline-block;
    color: #ff0202;
    font-weight: bold;
    padding: 10px 20px;
    animation: slideAnimation 1s ease forwards;
    animation-delay: calc(.3s * var(--i));
    opacity: 0;
}

.navlist a:hover{
    color: #0106f8;
}

.navlist a.active{
    color: #0106f8;
}

#menu-icon{
    font-size: 1.8rem;
    z-index: 10001;
    cursor: pointer;
    margin-left: 25px;
    background: var(--hover-color);
    border-radius: 3px;
    color: var(--secon-bg-color);
    display: none;
}

section{
    padding: 100px 10%;
}

.home{
    min-height: 100vh;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    grid-gap: 4em;
}

.home-content{
    max-width: 600px;
}

.home-content h1{
    font-size: var(--big-font);
    font-weight: 700;
    color: black;
}/*
.home-content h1 span{
    color: rgb(49, 243, 10);
}*/


.change-text{
    font-size: 1.5rem;
    font-weight: 600;
}

.change-text h3{
    display: inline-flex;
    margin: 0;
    vertical-align: top;
}

.change-text h3 .word{
    position: absolute;
    display: flex;
    opacity: 0;
}

.change-text h3 .word .letter{
    transform-origin: center center 25px;
}

.change-text h3 .word .letter.out{
    transform: rotateX(90deg);
    transition: 0.32s cubic-bezier(0.6,0,0.7,0.2);
}

.change-text h3 .word .letter.in{
    transition: 0.38s ease;
}

.change-text h3 .word .letter.behind{
    transform: rotateX(-90deg);
}

.home-content p{
    color: black;
    line-height: 1.6;
}

.btn-box{
    display: flex;
    justify-content: space-between;
    width: 320px;
    height: 45px;
}                 

.btn-box .btn{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: var(--gradient-color-bg);
    color: white;      /*-----CV Download And Hire Me Batton Bachground Color--*/
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 600;
    transition: .6s;
   /* box-shadow: var(--neon-box-shadow);
   border: 2px solid ;*/
    border-radius: 5px;
    position: relative;overflow: hidden;
    z-index: 1;
}
.btn:hover{
    color: black;
    box-shadow: rgba(60,64,67,0.3)0px 1px 2px 0,
                  rgba(60,64,67,0.15)0px 2px 6px 2px;
}

.btn::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: #f2f3f7;
    width: 0;
    height: 100%;
    z-index: -1;
    transition: .4s;
    box-shadow: rgba(60,64,67,0.3)0px 1px 2px 0,
                rgba(60,64,67,0.15)0px 2px 6px 2px;
}

.btn:hover::before{
    width: 100%;
}
/*
.btn:nth-child(2){
    background: var(--gradient-color-bg);
    color: white;
}*/
.btn:nth-child(2){
    background: var(--gradient-white-bg2);
    padding: 10px;
    border-radius: 5px;
    font-weight: 500;
    color: #000;
    box-shadow: rgba(60,64,67,0.3)0px 1px 2px 0,
                  rgba(60,64,67,0.15)0px 2px 6px 2px;
    transition: all .3s ease;              
}

.btn:nth-child(2):hover{
    color: white;
}

.btn:nth-child(2)::before{
    background: var(--gradient-color-bg);
}
/*----------Social media demo-------------*/
.social-media{
    display: flex;
    justify-content: space-between;
    width: 220px;
    height: 45px;
}

.social-media a{
    width: 42px;
    height: 42px;
    font-size: 1.5rem;
    color: var(--main-color);
    background: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: .4s;
    border-radius: 50%;
    z-index: 1;
}


.social-media a:hover{
    background: var(--gradient-color-bg);
    color: #fff;
}

.bg-icon{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bg-icon span{
    position: absolute;
    width: 50px;
    height: 50px;
    background: var(--gradient-color-bg);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: animate 1s linear infinite;
}


.home-image{
    position: relative;
}

.img-box{
    text-align: center;
}

.img-box img{
    width: 100%;
    max-width: 450px;
    height: auto;
}

.liquid-shape{
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    top: 20%;
}
/*-----------About Us Section Css Start-------*/

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    grid-gap:2em;
    background: #f2f3f7;
}

.about .img-about{
    text-align: center;
    position: relative;
}

.about .img-about img{
    max-width: 400px;
    height: auto;
}

.about-content span{
    color: black;
    font-size: .8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.about-content h2{
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
    font-weight: 700;
    font-size: var(--big-font);
}

.about-content h3{
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: .2rem;
}

.about-content p{
    color: black;
    font-weight: 300;
    margin-bottom: 1.5rem;
}

.info-about1,
.info-about2,
.info-about3{
    color: white;
    background: var(--gradient-color-bg);
    font-size: .5rem;
    position: absolute;
    padding: 10px;
    width: 90px;
    height: 90px;
    border-radius: 69% 31% 66% 34% / 21% 30% 70% 79%;
    display: block;
    box-shadow: var(--neon-box-shadow);
    border: 1px solid var(--hover-color);
    outline: 2px solid var(--bg-color);
    z-index: 100;
    animation: morph 6s linear infinite;
}

.info-about1 h5{
    color: aqua;
    font-size: large;
}
.info-about2 h5{
    color: aqua;
    font-size: large;
}
.info-about3 h5{
    color: aqua;
    font-size: large;
}
.info-about1{
    left: 10%;
    top: 34%;
}

.info-about2{
    left: 66%;
    top: 15%;
}


.info-about3{
    left: 61%;
    top: 70%;
}
.img-about span{
    color: var(--hover-color);
    font-size: 1rem;
    font-weight: 600;
}

#ch {
    display: none;
}

#ch:checked ~ .content {
    display: block;
}

#ch:checked ~ label {
    display: none;
}

.content {
    display: none;
}

label {
    display: inline-block;
    cursor: pointer;
    /*color: var(--bg-color);
    background-color: #12f7ff;*/
    padding: 3px 13px;
    border-radius: 3px;
    margin-top: 12px;
    height: 50px;
}

#key {
    color: #0905f7;
    font-weight: 900;
}

#Show {
    font-size: 1rem;
    font-weight: bold;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 100%;
    background: var(--gradient-color-bg);
    color: white;      
    font-size: 1rem;
    letter-spacing: 1px;
    font-weight: 600;
    transition: .6s;
    border-radius: 5px;
    position: relative;overflow: hidden;
    z-index: 1;
}
.tick a{
    color: #0316bd;
}
/*---------Services Sections------------*/
#Hight{
    line-height: 31.9px;
    text-align: justify;
}
#Hight2{
    line-height: 13px;
}
#Hight2{
    line-height: 65px;
}
.services{
    background: #f2f3f7;
}
.main-text{
    width: 100%;
    text-align: center;
    margin-bottom: 2rem;
}

.main-text h2{
    font-weight: 700;
    font-size: var(--big-font);
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.main-text span{
    color: black;
    font-size: .8rem;
    font-weight: 200;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.section-services{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    grid-gap: 2rem;
}

.section-services .service-box{
    flex: 1 1 18rem;
    padding: 2rem 1rem 2rem;
    text-align: center;
    background: #f2f3f7;
    box-shadow: 0.6em 0.6em 1.2em #d2dce9,
                -0.5em -0.5em 1em #ffffff;
    border-radius: 20px;
    transition: transform .4s;
    border-radius: 10px;
}
p a{
    color: #12f7ff;
    font-weight: bold;
}

.service-btn{
    width: auto;
    justify-content: center;
}

.service-box:hover{
    transform: translateY(-.7rem);
}

.fa-circle-check{
    color: rgb(13, 248, 13);
}



.service-icon{
    border: 2px solid var(--hover-color);
    padding: 2rem;
    background: var(--gradient-color-bg);
    display: flex;
    align-items: center;
    font-size: 3rem;
    border-radius: 50%;
    position: relative;
    color: var(--hover-color);
    box-shadow: var(--neon-box-shadow);
    outline: 3px solid var(--bg-color);
}

.service-box h3{
    margin-top: 10px;
    font-size: 1.5rem;
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}


.service-box p{
    margin: .5rem 0 1.5rem 0;
    font-weight: 300;
    letter-spacing: 1px;
    color: black;
    line-height: 1.6;
    text-align: justify;
}

.fa-check-circle{
    color: green;
    text-align: center;
    text-align: justify;
}
.bxs-checkbox-checked{
    color: #0316bd;
}
.tick{
    font-family: 'Times New Roman', Times, serif;
    text-align: center;
    text-align: justify;
}


    
    /*---------Project Section------------*/
.portfolio{
    background: #f2f3f7;
}

.fillter-buttons{
    margin: 2rem;
    text-align: center;
    margin-top: -2%;
    font-size: 20px;
    font-weight: bold;
}

.fillter-buttons .button{
    background: none;
    outline: none;
    border: none;
    cursor: pointer;
    font-size: .85rem;
    font-weight: 600;
    letter-spacing: .4px;
    margin-left: 1.3rem;
    color: black;
    
}

.fillter-buttons .button:hover{
    color: rgba(247,1,120,1);
}

.portfolio-gallery{
    display: grid;
    grid-template-columns: repeat(auto-fill , minmax(270px , 1fr));
    gap: 2rem;
}

.port-box{
    position: relative;
    border-radius: 15px;
    overflow: hidden;
    background: #292e33;
    display: flex;
    grid-template-rows: 1fr auto;
    align-items: center;
    border: 2px solid var(--hover-color);
    box-shadow: var(--neon-box-shadow);
}

.port-image{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.port-image img{
    width: 100%;
    opacity: .5s;
    height: 100%;
    transition: .5s;
}

.port-content{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    background: linear-gradient(rgba(0,0,0,.2),#12f7ff);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    transition: .5s;
    padding: 0 2rem;
}

.port-box:hover .port-content{
    opacity: 1;
}

.port-box:hover .port-image img{
    transform: scale(1.1);
}

.port-content h3{
    font-size: 1.5rem;
    font-weight: 600;
    color: white;
}

.port-content p{
    font-size: .8rem;
    margin: 5px 0 15px 0;
    color: white;
    text-align: justify;
}

.port-content a{
    background: #fff;
    border-radius: 50%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border: 1px solid var(--hover-color);
    outline: 2px solid #fff;
}

.port-content a i{
    font-size: 1.3rem;
    color: var(--secon-bg-color);
}

/*====================New Testimonial section==============================*/

  
.rating i{
    font-size: 18px;
    color: gold;
    margin: 0 2px;
}

.test-testimonial{
    background: #f2f3f7;
}

.test-testimonial h1{
    color: #3700ff;
    text-align: center;
    font-size: 40px;
    font-weight: bold;
}
.test-testimonial h3{
    color: #060111;
    text-align: center;
    font-weight: bold;
}

.test-testimonial h2{
    color: blue;
    font-size: 30px;
    text-align: center;
    font-weight: bold;
    margin-top: -2%;
}

.slide-container{
  max-width: 1120px;
  width: 100%;
  padding: 40px 0;
}
.slide-content{
  margin: 0 40px;
  overflow: hidden;
  border-radius: 25px;
}
.cord{
  background: #f2f3f7;
  box-shadow: 0.6em 0.6em 1.2em #d2dce9,
              -0.5em -0.5em 1em #ffffff;
  border-radius: 20px;
  padding: 5px;
}
.image-content,
.cord-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px 14px;
}
.image-content{
  position: relative;
  row-gap: 5px;
  padding: 25px 0;
}
.cord-image{
  position: relative;
  height: 150px;
  width: 150px;
  border-radius: 50%;
  background: #FFF;
  padding: 3px;
}
.cord-image .cord-img{
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 50%;
  border: 4px solid #4070F4;
}
.name{
  font-size: 18px;
  font-weight: 500;
  color: rgb(255, 255, 255);
}
.description{
  font-size: 14px;
  color: black;
  text-align: justify;
}

#cont{
    margin-top: 5%;
}
.swiper-navBtn:hover{
  color: #4070F4;
}
.swiper-navBtn::before,
.swiper-navBtn::after{
  font-size: 35px;
}
.swiper-button-next{
  right: 0;
  
}
.swiper-button-prev{
  left: 0;
}
.swiper-pagination-bullet{
  background-color: #4070F4;
  opacity: 1;
}
.swiper-pagination-bullet-active{
  background-color: #4070F4;
}

@media screen and (max-width: 768px) {
  .slide-content{
    margin: 0 10px;
  }
  .swiper-navBtn{
    display: none;

  }
}

/*----------Our Teem Section----------*/
.ourteem{
    background: #f2f3f7;
 }
 .container
 {
    display: flex;
    justify-content: center;
    align-items: left;
    flex-wrap: wrap;
 }
 .container1
 {
    display: flex;
    justify-content: center;
    align-items: left;
    
 }
 .container1 .card
 {
    width: 330px;
    height: 416px;
    padding: 60px 30px;
    margin: 20px;
    background: #f2f3f7;
    box-shadow: 0.6em 0.6em 1.2em #d2dce9,
                -0.5em -0.5em 1em #ffffff;
    border-radius: 20px;
 }
 .container1 .card .content
 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
 }
 .container1 .card .content .imgBx
 {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    position: relative;
    margin-bottom: 20px;
    overflow: hidden;
 }
 .container1 .card .content .imgBx img
 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
 }
 .container1 .card .content .contentBx h4
 {
    font-size: 1.7rem;
    font-weight: bold;
    text-align: center;
    letter-spacing: 1px;
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
 }
 .container1 .card .content .contentBx h5
 {
    color: #000207;
    font-size: 1.2rem;
    font-weight: bold;
    text-align: center;
    font-family: 'Times New Roman', Times, serif;
 }
 .container1 .card .content .sci
 {
    margin-top: 20px;
 }
 .container1 .card .content .sci a
 {
    text-decoration: none;
    color: #6c758f;
    font-size: 30px;
    margin: 10px;
    transition: color 0.4s;
 }
 .container1 .card .content .sci a:hover
 {
    color: #0196e3;
 }
 /*   colors
         #f2f3f7
         #d2dce9
         #36187d
         #6c758f
         #0196e3
  */
  .rating{
    color: gold;
    font-size: 25px;
    font-weight: bold;
    padding: 3px;
    text-align: center;
  }
  .titlee{
    width: 100%;
    text-align: center;
    font-size: 40px;
    font-weight: bold;
    margin-bottom: 20px;
    background: -webkit-linear-gradient(#ff0202, #0106f8);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
 
  /*----Demo Contact Us------*/
  /*---------Contact Us Form CSS---------*/
.contant{
    background: #f2f3f7;
    width: 100%;
}

.contant form{
    text-align: center;
    max-width: 50rem;
    margin: 1rem auto;
    margin-bottom: 3rem;
}

.contant form input,
.contant form textarea{
    width: 100%;
    color: black;
    box-shadow: 0.6em 0.6em 1.2em #d2dce9,
                -0.5em -0.5em 1em #ffffff;
    margin-bottom: .8rem;
    border: none;
    border-radius: 5px;
    padding: .7rem;
    font-weight: bold;
} 

.contant form textarea {
    resize: none;
}

.fromBtn{
    display: flex;
    justify-content: center;
    width: 100%;
}

.formBtn .btn{
    cursor: pointer;
    font-size: 1rem;
}



@media (max-width: 700px){
    .container2{
        max-width: 100%;
        width: 100%;
        padding: 25px;
    }
    .container1{
        display: inline-table;
    }
    
    

    .user-details{
        max-height: 100%;
        padding-top: 20px;
        padding-bottom: 30px;
    }
    .input-box, .button1{
        width: 91%;
        margin-left: 4%;
        margin-bottom: 25px;
        text-align: center;
    }
    .user-details::-webkit-scrollbar{
        width: 0px !important;
    }
    .social-media-icons, .login{
        width: 100%;
        margin-bottom: 25px;
    }
    .footer{
        margin-top: 0px !important;
    }
    .container1 .card{
        width: 300px;
    }
   
}


/*------------Footer css--------------*/

.social-icons{
    
    display: flex;
    justify-content: space-between;
    width: 220px;
    height: 40px;
    
}

.social-icons a{
    display: inline-flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
    background: blue;
    color: white;
    border: 2px solid white;
    transition: .6s;
    box-shadow: 0 0 0.3rem white;
    border-radius: 50px;
    position: relative;
    z-index: 1;
    overflow: hidden;
    text-decoration: none;
    
    
}

.cools h3{
    color: #fff;
    font-weight: bold;
    
}
.cools ul li i{
    color: white;
    font-size: 25px;
    
}
.mane{
    font-size: 10px;
}



.social-icons a i{
    font-size: 2.5rem;
}

.social-icons a:hover{
    color: white;
}

.social-icons a::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 0;
    height: 100%;
    background: red;
    transition: .6s;
    z-index: -1;
}

.social-icons a:hover::before{
    width: 100%;
}



footer{
    width: 100%;
    background: linear-gradient(to right, #ff0202, #0106f8);
    color: #fff;
    padding: 100px 0 30px;
    border-top-left-radius: 125px;
    font-size: 13px;
    line-height: 20px;
    margin-top: -5%;
}

.roows{
    width: 85%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: space-between;
}

.cools{
    flex-basis: 25%;
    padding: 10px;
    margin-top: -5%;
}

.cools:nth-child(2), .cools:nth-child(3){
    flex-basis: 15%;
}

.logo{
    width: 80px;
    margin-bottom: 30px;
    font-size: 27px;
}
.cools p{
    text-align: justify;
    line-height: 1.5;
    margin-top: -15px;
}

.cools h3{
    width: fit-content;
    margin-bottom: 40px;
    position: relative;
    font-size: 25px;
    margin-left: 5%;
}

 footer.cools ul li{
    list-style: none;
    margin-bottom: 12px;
    margin-right: 10%;
}
footer li a:hover{
    text-decoration: none;
    font-weight: bold;
}

footer li a{
    text-decoration: none;
    color: #fff;
}


hr{
    width: 80%;
    border: 0;
    border-bottom: 1px solid #ccc;
    margin: 20px auto;
}

.copyrights{
    text-align: center;
    font-size: 20px;
}
.copyrights a{
    color: white;
    font-size: 20px;
}

.underline{
    width: 100%;
    height: 5px;
    background: #767676;
    border-radius: 3px;
    position: absolute;
    top: 25px;
    left: 0;
    overflow: hidden;
    margin-top: 15px;
}

.underline span{
    width: 15px;
    height: 100%;
    background: #fff;
    border-radius: 3px;
    position: absolute;
    top: 0;
    left: 10px;
    animation: moving 2s linear infinite;
}



@keyframes moving{
    0%{
        left: -20px;
    }
    100%{
        left: 100%;
    }
}


@media (max-width: 700px){
    footer{
        bottom: unset;
    }
    .cools{
        flex-basis: 100%
    }
    
    .cools:nth-child(2), .cools:nth-child(3){
        flex-basis: 100%;
    }
}

.ourteem{
    margin-top: -15%;
}



.gap{
    line-height: 39px;
}

.gap1{
    line-height: 36px;
}

.gap3{
    line-height: 24.2px;
}
.gap4{
    line-height: 29px;
}
.gap5{
    line-height: 23.5px;
}
.gap6{
    line-height: 41.2px;
}
.gap9{
    line-height: 32px;
}
.gap10{
    line-height: 25.1px;
}


.tag{
    position: relative;
}



.log{
    width: 180px;
    margin-top: -20px;
    margin-left: 50px;
}

#rig{
    margin-top: 15px;
} 



/*---------Parallax------------*/
.scroll-scale{
    opacity: 0;
    transform: scale(.9);
    transition: all 2s;
}

.scroll-bottom{
    opacity: 0;
    transform: translateY(300px);
    transition: 3s;
}

.scroll-top{
    opacity: 0;
    transform: translateY(-300px);
    transition: 3s;
}

.show-items{
   opacity: 1;
   transform: translateX(0); 
}

.scroll-left{
    opacity: 0;
    transform: translateY(300px);
    transition: 3s;
}

.scroll-right{
    opacity: 0;
    transform: translateY(-300px);
    transition: 3s;
}


/*======================= @keyframes ============================ */

@keyframes moveText{
    0%,10%,100%{
        background-position: -24rem 0;
    }

    65%,85%{
        background-position: 0rem 0;
    }
}

@keyframes moveCursorText{
    0%,10%,100%{
        width: 0;
    }

    65%,78%,85%{
        width: 100%;
        opacity: 1;
    }

    75%,85%{
        opacity: 0;
    }
}

@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

@keyframes rotateText{
    0%{
        transform: rotate(360deg);
    }
    100%{
        transform: rotate(0deg);
    }
}

@keyframes morph{
    0%,
    100%{
        border-radius: 40% 60% 70% 30% / 40% 40% 60% 50%;
    }
    30%{
        border-radius: 70% 30% 50% 50% / 30% 30% 70% 70%;  
    }

    60%{
        border-radius: 100% 60% 60% 100% / 100% 100% 60% 60%;
    }

     80%{
        border-radius: 69% 31% 66% 34% / 21% 30% 70% 79%;
     }
}

@keyframes wordpress {
    0%{
        width: 0%;
    }
    100%{
        width: 80%;
    }
    
}

@keyframes seo {
    0%{
        width: 0%;
    }
    100%{
        width: 75%;
    }
}
@keyframes html {
        0%{
            width: 0%;
        }
        100%{
            width: 75%;
        }
    }

    @keyframes css {
        0%{
            width: 0%;
        }
        100%{
            width: 70%;
        }
    }
    @keyframes javascript {
        0%{
            width: 0%;
        }
        100%{
            width: 65%;
        }
    }
    @keyframes php {
        0%{
            width: 0%;
        }
        100%{
            width: 65%;
        }
    }
    @keyframes glow{
        0%{
            background: var(--bg-color);
            box-shadow: none;
        }
        100%{
            background: var(--hover-color);
            box-shadow: var(--neon-box-shadow);
        }
    }

@keyframes slideAnimation{
    0%{
        opacity: 0;
        transform: translateY(100px);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

/*-------Break Points-------*/

@media(max-width:991px){
    header,
    header.sticky{
        padding: 15px 5%;
    }
    footer{
        padding: 15px 5%;
    }
    section{
        padding: 50px 5%;
    }
    .navlist a{
        padding: 8px 15px;
        background-color: white;
    }
    :root{
        --big-font:2.2rem;
        --norma-font:1.8rem;
        --neon-box-shadow:0 0 .8rem #12f7ff;
        --h2-font:3rem;
    }
    .home-content {
        margin-top: 5rem;
    }
    
}

@media(max-width:768px){
    #menu-icon{
        display: block;
        transition: all .4s ease;
    }
    #menu-icon.bx-x {
        transform: rotate(-180deg);
    }

    .navlist{
        display: flex;
        position: absolute;
        top: -1000px;
        right: 0;
        left: 0;
        flex-direction: column;
        background: var(--bg-color);
        text-align: left;
        padding: 0 5%;
        transition: all .45s ease;
    }
    .navlist a{
        display: block;
        padding-bottom: 1rem;
        font-size: 1rem;
    }
    .navlist.open{
        top: 100%;
    }
    .home{
        grid-template-columns: 1fr;
    }
    .home-image{
        margin-bottom: 5rem;
    }
    .liquid-shape{
        width: 80%;
        left: 10%;
        top: 13%;
    }
    .about{
        flex-direction: column-reverse;
    }

    .skill-main{
        grid-template-columns: 1fr;
    }

    .fillter-buttons{
        margin: 2.5rem 0;
    }
    footer p{
        font-size: .8rem;
    }
    
}


@media(max-width:420px){
    html{
        font-size: 80%;
    }
    footer p{
        font-size: .6rem;
    }
    .fillter-buttons .button{
        font-size: .8rem;
    }
    .img-about img{
        max-width: 100%;
        height: auto;
        width: 300px;
    }/*------abut us project section Hiden
    .info-about1,.info-about2,.info-about3{
        display: none;        
    }---*/
    .home .tick{
        margin-right: 10%;
        
    }
    .test-testimonial .slide-content #worrds{
        font-size: 5px;
        color: red;
    }

    .img-about p{
        font-size: 1rem;
    }
    
     #copyright{
        font-size: 10px;
     } /*
     #ftlo{
        height: 5px;
        width: 5px;
     }*/
}


/* testimonial section  */
.section-testimonial .grid-three-col {
    grid-template-columns: 2fr;
  }

  .section-footer .grid-four-col {
    grid-template-columns: 1fr 1fr;
  }

/* Below 780px  */
@media (max-width: 780px) {
  .container {
    max-width: 720px;
  }
  /* hero section  */
  .section-hero .grid-two-col {
    grid-template-columns: 1fr;
  }

  .section-hero-data {
    align-items: center;
  }

  .section-hero-data .hero-top-data {
     align-self: flex-start; 
  }

  .hero-heading {
    text-align: center;
  }
  .hero-para {
    text-align: center;
    margin-top: 2rem;
  }

  .section-hero img {
    width: 70%;
  }
  .contant {
    margin-top: 17%;
  }
  footer{
    margin-top: 20%;
  }
  footer img{
    margin-top: 130px;
    height: 80px;
    width: 80px;
  }
}
.t-img{
    height: 20px;
    width: 35px;
}

/*===Flag==*/

i.flag:not(.icon) {
  display: inline-block;
  width: 16px;
  height: 11px;
  margin: 0 .5em 0 0;
  line-height: 11px;
  text-decoration: inherit;
  vertical-align: baseline;
  backface-visibility: hidden;
}
.mt-4 {
  margin-top: 1.5rem !important;
}
.my-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}
.mx-auto {
  margin-right: auto !important;
  margin-left: auto !important;
}
*, ::before, ::after {
  box-sizing: border-box;
}



/*====WhatsApp Chat=====*/
.WA_Chat_Widget .WA_FloatingButton{
    position: fixed;
    width: 70px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 10px 0px rgba(0, 0, 0, 0.185);
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
    z-index: 1000;
}
.WA_Chat_Widget .WA_FloatingButton svg{
    width: 40px;
    height: 40px;
    fill: #4fce5d;
}
.WA_Chat_Widget[data-position^="top-"] .WA_FloatingButton{
    top: 20px;
}
.WA_Chat_Widget[data-position^="bottom-"] .WA_FloatingButton{
    bottom: 20px;
}
.WA_Chat_Widget[data-position$="-left"] .WA_FloatingButton{
    left: 20px;
}
.WA_Chat_Widget[data-position$="-right"] .WA_FloatingButton{
    right: 20px;
}
.WA_Chat_Widget[data-position$="-center"] .WA_FloatingButton{
    left: 50%;
    transform: translateX(-50%);
}

.WA_Chat_Widget[data-position^="top-"] .WA_ChatBox{
    top: 110px;
}
.WA_Chat_Widget[data-position^="bottom-"] .WA_ChatBox{
    bottom: 110px;
}
.WA_Chat_Widget[data-position$="-left"] .WA_ChatBox{
    left: 30px;
}
.WA_Chat_Widget[data-position$="-right"] .WA_ChatBox{
    right: 30px;
}
.WA_Chat_Widget[data-position$="-center"] .WA_ChatBox{
    left: 50%;
    transform: translateX(-50%);
}


.WA_Chat_Widget .WA_ChatBox{
    position: fixed;
    width: 360px;
    height: auto;
    overflow: hidden;
    border-radius: 8px;
    background-color: #fff;
    box-shadow: 0 5px 25px 0px rgba(0, 0, 0, 0.1);
    display: none;
}

.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header{
    width: auto;
    background: #095e54;
    padding: 20px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .avatarBox{
    width: 65px;
    height: 65px;
    border-radius: 50%;
    overflow: hidden;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .avatarBox img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .infoBox .name{
    color: #fff;
    font-weight: 600;
}

.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .infoBox .answer_time{
    color: #e4e4e4;
    font-size: 14px;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .WA_Close{
    background: transparent;
    color: #fff;
    border: none;
    outline: none;
    font-size: 20px;
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Header .WA_Close svg{
    fill: #ffff;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body{
    padding: 20px;
    background: #e6ddd4;
    position: relative;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body::before{
    content: '';
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: url(./bg-pattern.png);
    opacity: 0.1;
    z-index: 0;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body .message{
    max-width: 280px;
    background: #fff;
    padding: 20px;
    padding-top: 10px;
    border-radius: 8px;
    z-index: 1;
    position: relative;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body .message::before{
    content: '';
    position: absolute;
    width: 20px;
    height: 20px;
    background: #fff;
    left: -10px;
    top: 0px;
    border-radius: 3px;
    clip-path: polygon(100% 0, 0 0, 100% 100%);
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body .message .username{
    color: darkgray;
    font-weight: 500;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Body .message .message_content{
    font-size: 14px;
    color: #000;
}

.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Footer{
    padding: 20px;
    background-color: #fff;
    width: 100%;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Footer .btn{
    width: 100%;
    outline: none;
    border: none;
    padding: 10px;
    border-radius: 1000px;
    font-size: 16px;
    cursor: pointer;
    text-decoration: none;
}
.WA_Chat_Widget .WA_ChatBox .WA_ChatBox_Footer .btn.btn-whatsapp{
    background: #095e54;
    color: #fff;
    display: block;
    text-align: center;
}








